---
title: isolation
slug: Web/CSS/isolation
tags:
  - CSS
  - CSS Property
  - Compositing and Blending
  - NeedsContent
  - isolation
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>isolation</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property determines whether an element must create a new {{glossary("stacking context")}}.</p>

<div>{{EmbedInteractiveExample("pages/css/isolation.html")}}</div>

<p>This property is especially helpful when used in conjunction with {{cssxref("mix-blend-mode")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
isolation: auto;
isolation: isolate;

/* Global values */
isolation: inherit;
isolation: initial;
isolation: unset;
</pre>

<p>The <code>isolation</code> property is specified as one of the keyword values listed below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>A new stacking context is created only if one of the properties applied to the element requires it.</dd>
 <dt><code>isolate</code></dt>
 <dd>A new stacking context must be created.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Forcing_a_new_stacking_context_for_an_element">Forcing a new stacking context for an element</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div id="b" class="a"&gt;
  &lt;div id="d"&gt;
    &lt;div class="a c"&gt;auto&lt;/div&gt;
  &lt;/div&gt;
  &lt;div id="e"&gt;
    &lt;div class="a c"&gt;isolate&lt;/div&gt;
  &lt;/div&gt;
&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.a {
  background-color: rgb(0,255,0);
}
#b {
  width: 200px;
  height: 210px;
}
.c {
  width: 100px;
  height: 100px;
  border: 1px solid black;
  padding: 2px;
  mix-blend-mode: difference;
}
#d {
  isolation: auto;
}
#e {
  isolation: isolate;
}</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Forcing_a_new_stacking_context_for_an_element', 230, 230) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Compositing', '#isolation', 'Isolation') }}</td>
   <td>{{ Spec2('Compositing') }}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.isolation")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("&lt;blend-mode&gt;")}}</li>
 <li>{{cssxref("mix-blend-mode")}}, {{cssxref("background-blend-mode")}}</li>
</ul>
